Subject: ds/sparse-checkout-clean (was: What's cooking in git.git (Sep 2025, #10; Thu, 25))

From: Derrick Stolee <[email-masked]>
Date: Fri, 26 Sep 2025 09:42:10 -0400

On 9/25/2025 6:06 PM, Junio C Hamano wrote:

> * ds/sparse-checkout-clean (2025-09-12) 7 commits
>   (merged to 'next' on 2025-09-25 at 00b296f153)
>  + t: expand tests around sparse merges and clean
>  + sparse-index: point users to new 'clean' action
>  + sparse-checkout: add --verbose option to 'clean'
>  + dir: add generic "walk all files" helper
>  + sparse-checkout: match some 'clean' behavior
>  + sparse-checkout: add basics of 'clean' command
>  + sparse-checkout: remove use of the_repository
> 
>  "git sparse-checkout" subcommand learned a new "clean" action to
>  prune otherwise unused working-tree files that are outside the
>  areas of interest.
> 
>  Will merge to 'master'.
>  source: <[email-masked]>
 
I should have checked here first, but I pinged the patch series
to see if Elijah wanted to give another round of review following
his careful review of v2. If there is minor feedback, then maybe
I can forward-fix on top of this branch.

Thanks,
-Stolee